Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004809 [JEDI VCL] 00 JVCL Components major always 2009-06-05 18:21 2009-07-08 12:23
Reporter ABailey1 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.36
Summary 0004809: JvBehaviorLabel scrolls right to left in design but always runs left to right when compiled
Description To start with I couldnt get it to scroll at all when compiled so It needs to be made active within the program. While designing, the scroll will always go in the direction set. Unfortunately, despite being accessible at design time, the property JvBehaviorLabel1.BehaviorOptions.direction is unavailable within the program so you cant make sure it goes the way you want it to and it always goes from left to right.
Additional Information
Tags No tags attached.
Attached Files zip file icon prog.zip [^] (475,264 bytes) 2009-06-24 11:35

- Relationships

-  Notes
(0015615)
ABailey1 (reporter)
2009-06-05 19:14

I changed to a 1 line scrolltext instead. This works well BUT if you set the direction as drFROMLeft the text appears FROM the right and if set as drFromRight the text appears from the left. Otherwise it scrolls perfectly. Up and Down work perfectly
(0015682)
obones (administrator)
2009-06-16 11:37

Please provide the zipped sources of a sample application showing this
(0015717)
ABailey1 (reporter)
2009-06-24 11:38

Sorry about the delay - major crash cut me off from the internet for more time than I would have liked!! I enclose a small Delphi 7 program together with all details of the main form to demo the problems with behaviourlabel (I just dont use it) and scrolltext which doesnt quite do what it says on the tin but I can work round the problems. The other components I have used have been excellent thanks.
(0015778)
obones (administrator)
2009-07-08 12:23

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2009-06-05 18:21 ABailey1 New Issue
2009-06-05 19:14 ABailey1 Note Added: 0015615
2009-06-16 11:37 obones Note Added: 0015682
2009-06-16 11:37 obones Status new => feedback
2009-06-24 11:35 ABailey1 File Added: prog.zip
2009-06-24 11:38 ABailey1 Note Added: 0015717
2009-07-03 17:29 obones Status feedback => acknowledged
2009-07-08 12:23 obones Note Added: 0015778
2009-07-08 12:23 obones Status acknowledged => resolved
2009-07-08 12:23 obones Fixed in Version => Daily / SVN
2009-07-08 12:23 obones Resolution open => fixed
2009-07-08 12:23 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker